local harbour = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    harbour:msgBox("harbour: game version anterior to 1.6")
    return
end

harbour:msgBox("harbour: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        harbour:msgBox("harbour: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        harbour:msgBox("harbour: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        harbour:msgBox("harbour: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    if _myVersion == nil then
        harbour:msgBox("harbour: Unknown " .. _name .. " version")
        return false
    end
    harbour:msgBox("harbour: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        harbour:msgBox("harbour: Please, load the last version of " .. _name)
        return false
    end
    return true
end

if not checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.2.1") then
    return
end

-- Monuments
harbour:dofile("scripts/monument.lua")
